curl --request POST \
--url https://api.boxpilote.fr/api/public/v1/opportunities/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"name": "<string>",
"type": "<string>",
"origin": "<string>",
"title": "<string>",
"size": 123,
"priority": "<string>",
"category": "<array>",
"referer": "<string>",
"precision": "<string>",
"estimated_date": "<string>",
"external_id": "<string>"
}
'import requests
url = "https://api.boxpilote.fr/api/public/v1/opportunities/create"
payload = {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"name": "<string>",
"type": "<string>",
"origin": "<string>",
"title": "<string>",
"size": 123,
"priority": "<string>",
"category": "<array>",
"referer": "<string>",
"precision": "<string>",
"estimated_date": "<string>",
"external_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
name: '<string>',
type: '<string>',
origin: '<string>',
title: '<string>',
size: 123,
priority: '<string>',
category: '<array>',
referer: '<string>',
precision: '<string>',
estimated_date: '<string>',
external_id: '<string>'
})
};
fetch('https://api.boxpilote.fr/api/public/v1/opportunities/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"opportunityId": "<string>",
"createdAt": "<string>"
}{
"success": false,
"message": "Email requis"
}{
"success": false,
"message": "Unauthorized: Invalid or missing token."
}{
"success": false,
"message": "Conflict: Resource already exists or conflicts with existing data."
}{
"success": false,
"message": "Internal server error: Could not insert customer or opportunity."
}Create opportunity
Creates a new business opportunity linked to an existing client or automatically creates a new client.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Data required to create an opportunity and optionally a new client
Customer email (required)
Customer first name (required)
Customer last name (required)
Customer phone number (required)
Company name
Client type (Professionnel, Particulier, Association). Default: Professionnel
Lead origin. Default: Site Web
Short title or description of the opportunity. Default: Demande de démo
Size in m²
Opportunity priority (Faible, Moyen, Important). Default: Important
Category tags
Referrer source
Additional precision/details
Estimated date for the opportunity
External ID of the customer
Sales cycle stage of the opportunity
cible, prospection, contact, proposition